All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands
Interface DynamicAttributeCommandInterface

All Superinterfaces:
  BaseEntityValueInterface, java.lang.Cloneable, com.sas.util.Command, com.sas.PublicClonable, com.sas.util.SimpleCommand, com.sas.lang.StringDataInterface

All Known Implementing Classes:
  AddFolderCommand, AddFolderCommand, AddRowCommand, AdvancedFilterSelectorCommand, AdvancedFilterSelectorCommandFacade, BaseCommand, BaseEditCommand, com.sas.commands.olap.BaseOLAPCommand, BaseOLAPExportCommand, BaseRelationalExportCommand, BaseScrollCommand, BaseSelectorCommand, com.sas.commands.olap.BaseTupleElementCommand, CancelCommand, CancelRowInsertCommand, ClearCommand, ClearSortCommand, com.sas.commands.olap.CollapseCommand, CommitCommand, CommitInsertedRowCommand, CompositeDynamicAttributeCommand, CopyCommand, CopyCommand, CutCommand, CutCommand, DataItemSelectorCommand, DeleteCommand, DeleteCommand, DeleteCommand, DeleteRowCommand, DisplaySearchResultsCommand, DisplaySearchResultsCommand, com.sas.commands.olap.DrillDownCommand, com.sas.commands.olap.DrillUpCommand, ExceptionHighlightingChartCommand, ExceptionHighlightingCommand, com.sas.commands.olap.ExpandCommand, ExportSelectorCommand, ExportToCSVCommand, ExportToExcelCommand, ExportToExcelXMLCommand, ExportToHTMLCommand, ExportToTabSeparatedCommand, FilterAndRankSelectorCommand, FilterTypeCommand, FindCommand, FindSelectorCommand, FormatSelectorCommand, GoBackCommand, GotoColumnCommand, GotoRowCommand, HideColumnCommand, HoldColumnCommand, HoldRowCommand, HttpSearchCommand, InsertCommand, InsertRowCommand, MapBaseCommand, MapClearSelectionsCommand, MapCollapseCommand, MapDrillDownCommand, MapDrillUpCommand, MapExpandCommand, MapExportToExcelCommand, MapFilterSelectionsCommand, MapFullExtentsCommand, MapIdentifyCommand, MapPanCommand, MapPropertyCommand, MapRectangularSelectCommand, MapReportLinkingCommand, MapResizeCommand, MapSelectCommand, MapSetMeasureCommand, MapZoomInCommand, MapZoomOutCommand, MemberPropertiesCommand, MoveColumnCommand, OLAPExportToCSVCommand, OLAPExportToExcelXMLCommand, OLAPExportToHTMLCommand, OLAPExportToTabSeparatedCommand, OLAPSortSelectorCommand, OLAPTimeBasedFilterCommand, OpenFolderCommand, OpenFolderCommand, PasteCommand, PasteCommand, PasteCommand, PercentCalculationsCommand, RankingCommand, ReleaseAllColumnsCommand, ReleaseAllRowsCommand, ReleaseColumnCommand, ReleaseRowCommand, RenameCommand, RenameCommand, com.sas.actionprovider.support.graphics.ResizeCommand, ScrollFirstColumnCommand, ScrollFirstRowCommand, ScrollLastColumnCommand, ScrollLastRowCommand, ScrollNextColumnCommand, ScrollNextColumnPageCommand, ScrollNextRowCommand, ScrollNextRowPageCommand, ScrollPreviousColumnCommand, ScrollPreviousColumnPageCommand, ScrollPreviousRowCommand, ScrollPreviousRowPageCommand, ShowAllColumnsCommand, ShowColumnCommand, ShowColumnHeaderCommand, ShowDetailSelectorCommand, ShowRowHeaderCommand, SimpleCalculatedItemSelectorCommand, SortCommand, SortCommand, SortFoldersFirstCommand, SortFoldersFirstCommand, SortSelectorCommand, StartSearchCommand, TotalsCommand, UpdateCommand, UpOneLevelCommand

    public interface DynamicAttributeCommandInterface

extends BaseEntityValueInterface, com.sas.util.Command, java.lang.Cloneable

This interface is implemented by commands that require the ability to have their attributes accessed with generic `getters` and `setters`.

Since:
  3.0

Field Summary
`static java.lang.String` | `COMMAND_NAME_PREFIX` Use this key as prefix for a command's name.

Method Summary
`java.lang.String` | `getName()` Returns the name of the command.
`void` | `setName(java.lang.String name)` Sets the name of the command.

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone, isExecutable, isUndoable, undo`

Methods inherited from interface com.sas.util.SimpleCommand
`execute`

Field Detail

### COMMAND_NAME_PREFIX

    static final java.lang.String COMMAND_NAME_PREFIX

  Use this key as prefix for a command's name.

  See Also:
    Constant Field Values

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the name of the command.

  Parameters:
    `name` - unique name of the command.
  See Also:
    `getName()`

### getName

    java.lang.String getName()

  Returns the name of the command.

  Returns:
    name of the command
  See Also:
    `setName(java.lang.String)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.